Bug 1303358 - please install git-credentials-netrc
please install git-credentials-netrc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pstodulk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 05:59 EST by Paolo Bonzini
Modified: 2016-04-11 12:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 12:43:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to install git-credentials-netrc (1.77 KB, patch)
2016-01-31 05:59 EST, Paolo Bonzini
no flags Details | Diff
Install git-credentials-netrc (2.28 KB, patch)
2016-04-07 12:39 EDT, Todd Zullinger
no flags Details | Diff

  None (edit)
Description Paolo Bonzini 2016-01-31 05:59:50 EST
Created attachment 1119801 [details]
patch to install git-credentials-netrc

Compared to git-credentials-store, the git-credentials-netrc helper has the following differences:

1) credentials have to be set up manually; it doesn't piggyback on an interactive "ask password" application

2) it allows to use gpg encryption (including e.g. using gpg-agent and a smartcard for the decryption keys)

For this reason, git-credentials-netrc is a better match for headless machines than git-credentials-store.  The attached patch installs it along with other helpers.  git-credentials-gnome-keyring is a precedent of installing contrib helpers to /usr/libexec, so I'm doing the same in this patch.
Comment 1 Jan Kurik 2016-02-24 09:22:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Todd Zullinger 2016-04-07 12:36:57 EDT
This seems like a good change to me.  I did have to add a BR on perl(Test) to get the build to work in rawhide.  We could avoid that and not run the tests, but I don't think there's any good reason not to add the BR and run the tests.
Comment 3 Todd Zullinger 2016-04-07 12:39 EDT
Created attachment 1144816 [details]
Install git-credentials-netrc

Updated patch with perl(Test) BR, on top of the current 2.8.1 in rawhide.
Comment 4 Todd Zullinger 2016-04-11 12:43:39 EDT
The netrc credentials helper is installed in the rawhide packages.

http://pkgs.fedoraproject.org/cgit/rpms/git.git/commit/?id=40aebfdc03
http://koji.fedoraproject.org/koji/taskinfo?taskID=13626413

Thanks for the report and patch Paolo!

Note You need to log in before you can comment on or make changes to this bug.